import Home from "../../portal/views/Home.vue";
import marking from "../views/marking.vue";
import mark_setting_main from "../views/mark_setting_main.vue";
import mark_setting_adv from "../views/mark_setting_adv.vue";
import mark_setting_detail from "../views/mark_setting_detail.vue";
import mark_work from "../views/mark_work.vue";
import mark_paper_check from "../views/mark_paper_check.vue";
import mark_setting_work from "../views/mark_setting_work.vue";
import mark_setting_fast from "../views/mark_setting_fast.vue";
import mark_grade_main from "../views/mark_grade_main.vue";
import view_paper from "../views/view_paper.vue";
import mark_work_overview from "../views/mark_work_overview.vue";
import marker from "../views/marker.vue";
import course_detail from "../views/course_detail.vue";
import marker_detail from "../views/marker_detail.vue";
import batchMark from "../views/batchMark.vue";

export default [
  {
    path: "/marking", //首页
    meta: { auth: false },
    component: Home,
    children: [
      {
        path: "mark_work_overview/:workId/:examId/:name", //评卷总览
        component: mark_work_overview
      },
      {
        path: "course_detail/:workId/:examId/:name/:courseCode/:courseName", //课程详情
        component: course_detail
      },
      {
        path: "marker/:workId/:examId/:name", //评卷员一览
        component: marker
      },
      {
        path: "marker_detail/:workId/:examId/:name/:markerId/:userName", //评卷员详情
        component: marker_detail
      },
      {
        path: "mark_setting_main/:workId/:examId/:name", //评卷设置主页面
        component: mark_setting_main
      },
      {
        path: "mark_setting_fast/:workId/:examId/:name/:courseCode/:courseName", //评卷快速设置主页面
        component: mark_setting_fast
      },
      {
        path: "mark_setting_adv", //评卷任务设置主页面
        component: mark_setting_adv
      },
      {
        path: "mark_setting_detail", //评卷设置明细
        component: mark_setting_detail
      },
      {
        path: "mark_work", //评卷工作
        component: mark_work
      },
      {
        path: "mark_paper_check/:workId/:examId/:examType", //试卷检查
        component: mark_paper_check
      },
      {
        path: "mark_setting_work/:type", //选择评卷工作
        component: mark_setting_work
      },
      {
        path: "mark_grade_main/:examId", //成绩查询
        component: mark_grade_main
      },
      {
        path: "view_paper/:workId/:examId/:studentPaperId/:examType", //查看原卷
        component: view_paper
      }
    ]
  },
  {
    path: "/marking/:workId/:examType", //试卷正评
    component: marking
  },
  {
    path: "/batchMark/:workId", //批量离线评分
    component: batchMark
  },
  { path: "*", redirect: "/login" }
];
